Katello - Bug #5958

Hammer CLI: Undefined method error while adding/listing puppet modules to content-view
05/27/2014 06:34 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Tomas Strachota

Category: Hammer

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1089905 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1089905
Description of problem:

While adding the puppet module to selected cv, | got following error:
Could not add the puppet module:
undefined method “version' for nil:NilClass

And re-adding the same module, | got this error:
Could not add the puppet module:
Validation failed: Name has already been taken

Example: ==========
[root@dhcp201-107 ~]# hammer puppet-module list --repository-id 28

I I I
ID | NAME | VERSION | AUTHOR

I I I
Ofc2dbcd-4cbf-41af-9d30-8b1aae5c33a2 | httpd | 0.2.0 | 5UbZ3r0
a99ac26f-86b1-4c21-9039-2ff8db766¢12 | cron | 0.0.1 | 5UbZ3r0
¢c11a583b-371b-41d9-9485-0d3eea7dbe98 | pureftpd | 1.0.2 | 5UbZ3r0
¢536af58-8739-48f0-8f17-1¢152851771a | samba | 0.2.0 | 5UbZ3r0

[# hammer content-view puppet-module add --name httpd --content-view-id 4
Could not add the puppet module:
undefined method “version' for nil:NilClass

1. hammer content-view puppet-module add --name httpd --content-view-id 4
Could not add the puppet module:
Validation failed: Name has already been taken

[root@dhcp201-107 ~]# hammer content-view puppet-module list --content-view-id 4undefined method “version' for nil:NilClass
[root@dhcp201-107 ~J#

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.9-1.el6.noarch

candlepin-selinux-0.9.9-1.el6.noarch
candlepin-tomcat6-0.9.9-1.el6.noarch
elasticsearch-0.90.10-4.el6.noarch
foreman-1.5.0-0.develop.201404131512git070b83f.el6.noarch
foreman-postgresql-1.5.0-0.develop.201404131512git070b83f.el6.noarch
foreman-proxy-1.5.0-0.develop.201404101114git85098a3.el6.noarch
foreman-release-1.5.0-0.develop.201404131512git070b83f.el6.noarch
foreman-selinux-1.5.0-0.develop.201402261344qit2f43f94.el6.noarch
katello-1.5.0-14.201404131508qit84cd57d.el6.noarch
katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch
katello-installer-0.0.19-1.201404021805git6ac0e9a.el6.noarch
katello-repos-1.5.1-1.9it.14.0868bd1.el6.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6.noarch

pulp-nodes-common-2.3.1-1.el6.noarch

pulp-nodes-parent-2.3.1-1.el6.noarch

pulp-puppet-plugins-2.3.1-1.el6.noarch

pulp-rpm-plugins-2.3.1-1.el6.noarch

pulp-selinux-2.3.1-1.el6.noarch

pulp-server-2.3.1-1.el6.noarch

python-ldap-2.3.10-1.e16.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6.noarch
ruby193-rubygem-net-ldap-0.3.1-1.el6.noarch

e ruby193-rubygem-runcible-1.0.8-1.el6.noarch

e rubygem-hammer_cli-0.1.0-1.201404090839gitc07a987.git.0.9acealc.el6.noarch

e rubygem-hammer_cli_foreman-0.1.0-1.201404011518git2abbfd3.git.0.37211af.el6.noarch
¢ rubygem-hammer_cli_foreman_tasks-0.0.2-1.201403312028qitdf60592.git.0.b4ebd5a.el6.noarch
¢ rubygem-hammer_cli_katello-0.0.3-1.201404131527gitfb2a029.git.0.7153de9.el6.noarch

How reproducible:
always

Actual results:
undefined method error on adding/listing puppet modules to cv.

Expected results:
module should be added successfully

Additional info:

Associated revisions

Revision 3e84214e - 06/25/2014 08:38 AM - Tomas Strachota

Fixes #5958 - content-view puppet module operations

- puppet modules searchable by name, author and uuid

- authors of content-view puppet modules are searched based on name when they are missing

- updated api docs
- standard error handling for required parameters

Revision b06df26b - 06/27/2014 12:09 PM - Petr Chalupa
Merge pull request #4304 from tstrachota/5958_cv_puppet_modules
Fixes #5958 - content-view puppet module operations

Revision 317f20c7 - 06/27/2014 12:13 PM - Tomas Strachota

Refs #5958 - Exception handling for required parameters
Revision 28862577 - 06/27/2014 12:13 PM - Tomas Strachota
Refs #5958 - Better formatting for puppet modules

- version formatting in content-view puppet-module list
- formatted dependencies and checksums in puppet-module info

Revision 9822ad2d - 06/27/2014 12:15 PM - Tomas Strachota

Refs #5958 - Fixed content-view puppet-module remove

Revision 0a0865f0 - 06/27/2014 12:15 PM - Tomas Strachota

Refs #5958 - Remove commands content-view puppet-module update and info

There's not much use for them. List command provides all available information already so there's no need to query for further details. Add and delete
naturaly replaces update command as nothig can be really updated on the CV-module relation.
Revision 4227379 - 06/27/2014 12:54 PM - Tomas Strachota

Merge pull request #194 from tstrachota/puppet_modules

Refs #5958 - content-view puppet modules

History

#1 - 05/27/2014 06:34 PM - Brad Buckingham
- Assignee set to Tomas Strachota

- Triaged set to Yes

#2 - 06/13/2014 10:08 AM - Tomas Strachota

- Status changed from New to Assigned

#3 - 06/19/2014 02:45 PM - Tomas Strachota
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4304
https://github.com/Katello/hammer-cli-katello/pull/194

#4 - 06/27/2014 12:52 PM - Tomas Strachota
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katellojcommit:3e84214e1de55acbbc385500365d0cbcab3d08bf.

#5 - 07/07/2014 07:28 AM - Eric Helms

- Target version set to 48

#6 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
